post
https://api.mesh.complyadvantage.com/v2/customers//workflows/update-and-rescore
This endpoint initiates the 'update and re-score' workflow for your customer in asynchronous mode. The workflow consists of two steps:
- Customer Record Update: The customer record, and associated view of products, is updated.
- Risk Scoring: The risk score is re-calculated for the updated customer.
The workflow will execute asynchronously. The initial POST returns a workflow_instance_identifier; poll the GET /v2/workflows/{workflow_instance_identifier} endpoint with it to follow the workflow until it completes.
In using this endpoint:
- The
customerobject is mandatory and must be provided in full:- This endpoint overwrites the previous version of the customer record, any missing fields are treated as removed data and this data will be deleted from the customer view.
- The associated Product information is optional and behaves in one of two ways:
- If the
productstag is not provided, the current list of products will stay as is - If the
productstag is provided, it will overwrite the previous version of products. As such, all products - new, changed, and unchanged should be provided.
- If the
You need the "Update customers" permission to use this endpoint.